Subject: Re: [PATCH] mergetool--lib: specialize diff options for emerge and ecmerge

From: David Aguilar <[email-masked]>
Date: Sun, 3 May 2009 13:34:27 -0700

Markus Heidelberg <[email-masked]> wrote:
> > 
> > On Linux, ecmerge is "ecmerge".
> > Macs are weird.  Windows--even worse.
> 
> And the ecmerge developers are even more worse or is there a reason to
> have different names for the binaries?

But of course :)

> > The user-friendly thing is actually
> > "/Applications/...lots.of.stuff.../guimerge", and that's a lot more
> > platform-specific than just "guimerge".
> 
> Why is the whole path more user friendly, because of guimerge not being
> in PATH? Is the /Applications/... directory always the same for ecmerge

Yup.

> for each Mac user? But we don't care in other diff/merge tools about the
> exact location and I think we shouldn't begin it here.

Ditto.

> > What do you think?
> 
> Not sure, leaving it as is is still an option.

I agree.  So the original patch for ecmerge + emerge should be
good then. I still need to reroll the araxis patch after my bike
ride later.

-- 

	David